# Generated from diakonos-0.9.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name diakonos

Name: rubygem-%{gem_name}
Version: 0.9.8
Release: 1%{?dist}
Summary: Console text editor for the masses
License: GPL-3.0-only
URL: https://git.sr.ht/~pistos/diakonos
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
BuildRequires: ruby < 4
BuildArch: noarch

%description
Diakonos is a console text editor for the masses.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/diakonos
%license %{gem_instdir}/LICENCE.md
%{gem_instdir}/bin
%{gem_instdir}/diakonos-256-colour.conf
%{gem_instdir}/diakonos.conf
%{gem_instdir}/help
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG

%changelog
* Mon Apr 18 2022 mockbuilder - 0.9.8-1
- Initial package
